// <copyright file="Program.cs" company="ALCPU">
// Copyright (c) 2010 All Right Reserved
// </copyright>
// <author>Arthur Liberman</author>
// <email>Arthur_Liberman@hotmail.com</email>
// <date>04-14-2010</date>
// <summary>Holds the entry point function.</summary>

namespace SolutionConverter {
	using System;
	using System.Windows.Forms;

	/// <summary>
	/// The main class which holds the program's entry point method.
	/// </summary>
	public static class Program {
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		/// <param name="args">The command line arguments.</param>
		[STAThread]
		public static void Main( string[] args ) {
			if( args.Length > 3 ) {
				new Form1( args[0] , args[1] , args[2] , args[3] );
			} else {
				Application.Run( new Form1() );
			}
		}
	}
}
